com.threerings.micasa.lobby

## Interface LobbyService.CategoriesListener

All Superinterfaces:
  com.threerings.presents.client.InvocationService.InvocationListener

All Known Implementing Classes:
  LobbyMarshaller.CategoriesMarshaller, LobbySelector

Enclosing interface:
  LobbyService

    public static interface LobbyService.CategoriesListener
    extends com.threerings.presents.client.InvocationService.InvocationListener

Used to communicate the results of a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `gotCategories(String[] categories)` Supplies the listener with the results of a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.

### Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener

`requestFailed`

### Method Detail

#### gotCategories

    void gotCategories(String[] categories)

Supplies the listener with the results of a `LobbyService.getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.